# Get Periods

`GET /api/v1/data/periods`

Retrieves the period reference-data options (excludes `custom`). Requires the `read` ability.

## Example request

```bash
curl "https://app.franchisesee.com/api/v1/data/periods" \
  -H "Authorization: Bearer $FRANCHISESEE_TOKEN" \
  -H "Accept: application/json"
```

## Responses

### 200 Success

```json
{
    "data": [
        {
            "value": "net_sales_amount",
            "label": "Net sales"
        }
    ]
}
```

### 401 Authentication failed or missing.

```json
{
    "message": "Unauthenticated."
}
```

### 403 The token lacks the required ability or the caller is not permitted.

```json
{
    "message": "This API token does not have the 'create' ability."
}
```
